Bug 56001 - slrn-pull upgrade wipes out config file
slrn-pull upgrade wipes out config file
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: slrn (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-09 23:55 EST by Terry Griffin
Modified: 2013-07-02 18:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: slrn-0.9.8.1-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-27 10:02:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terry Griffin 2001-11-09 23:55:24 EST
Description of Problem:

The slrn-pull package upgrade from RH 7.0 to 7.2 wiped out my 
/var/spool/slrnpull/slrnpull.conf file without leaving
a backup.

Version-Release number of selected component (if applicable):

0.9.7.1-3

How Reproducible:

I assume if I upgraded a system from 7.0 to 7.2 it would do it again.

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:

Old slrnpull.conf file is replaced by the sample file from the package.

Expected Results:

Old file should be backed up as an .rpmsave file, or new file
from the package should be installed as a .rpmnew file.

Additional Information:
Comment 1 Bill Nottingham 2002-01-25 00:47:16 EST
It's marked %config; I'm not sure how off the top of my head this could happen.
Comment 2 Jindrich Novy 2004-12-27 10:02:59 EST
The /var/spool/slrnpull/slrnpull.conf is now %config(noreplace) so it
won't be overwritten any more.

Thanks for the bugreport.

Note You need to log in before you can comment on or make changes to this bug.